Bug 123695 - Change Layout Menu in Slides Bar to Be Graphical One
Summary: Change Layout Menu in Slides Bar to Be Graphical One
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: Context-Menu Icon-Request
  Show dependency treegraph
 
Reported: 2019-02-25 09:46 UTC by Rizal Muttaqin
Modified: 2019-04-24 07:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Text type slide layout (17.71 KB, image/png)
2019-02-25 09:46 UTC, Rizal Muttaqin
Details
Graphic type Slide Layout (10.56 KB, image/png)
2019-02-25 09:47 UTC, Rizal Muttaqin
Details
Slide Layout in WPS Office (44.30 KB, image/png)
2019-04-24 03:39 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2019-02-25 09:46:03 UTC
Created attachment 149567 [details]
Text type slide layout

Create/Open a new slide in Impress

Right click in active slide > select Layout

It would be nice if we switch text based Layout to the Graphic based Layout as in Toolbar

Expected result:

Graphic type Slide Layout

Actual result:

Text type Slide Layout
Comment 1 Rizal Muttaqin 2019-02-25 09:47:42 UTC
Created attachment 149568 [details]
Graphic type Slide Layout

Graphic based Slide Layout: more intuitive for user
Comment 2 Adolfo Jayme 2019-02-25 18:39:23 UTC
Setting as enhancement; I don’t think this is implementable without heavy investment.
Comment 3 Roman Kuznetsov 2019-04-02 14:05:29 UTC
Rizal, may be just add layout-icons for all items in menu?
Comment 4 Heiko Tietze 2019-04-02 17:56:35 UTC
Those layouts are a matter of design and can change (there is a todo on my list). The textual menu has the advantage of accessibility but if you draw some icons it would for sure support the access for non-blind users.
Comment 5 Rizal Muttaqin 2019-04-04 03:50:12 UTC
(In reply to Roman Kuznetsov from comment #3)
> Rizal, may be just add layout-icons for all items in menu?

I don't think so, the layout-icon would be too small because it is too busy and hard to see  for 16px*16px size.
Comment 6 andreas_k 2019-04-22 21:18:52 UTC
I don't know how to show an graphic type layout in the menubar so for me it would be an improvement to sync the content of the graphic and text based layout. As written it's impossible to show useful icons on 16px icon size.
Comment 7 Heiko Tietze 2019-04-23 07:59:38 UTC
As Adolfo comments in c2, a menu is a textual control where you cannot just merge the floating widget. And since icons are not possible it's a WF.
Comment 8 Rizal Muttaqin 2019-04-23 08:11:03 UTC
We can shift the conversation of this report as a  feature request to implement floating widget to a menu. I tend to keep this open.
Comment 9 Heiko Tietze 2019-04-23 08:28:14 UTC
(In reply to Rizal Muttaqin from comment #8)
> We can shift the conversation of this report as a  feature request to
> implement floating widget to a menu. I tend to keep this open.

Have you ever seen a floating widget / graphical layout in a menu? Maybe such control works on websites but even when it's implemented the fact of being closed on leave is a disadvantage.
Comment 10 Rizal Muttaqin 2019-04-24 03:39:24 UTC
Created attachment 150964 [details]
Slide Layout in WPS Office

The inspiration come from WPS Office, as you can see it has graphic layout type
Comment 11 Rizal Muttaqin 2019-04-24 03:41:53 UTC
(In reply to Heiko Tietze from comment #9)
> (In reply to Rizal Muttaqin from comment #8)
> > We can shift the conversation of this report as a  feature request to
> > implement floating widget to a menu. I tend to keep this open.
> 
> Have you ever seen a floating widget / graphical layout in a menu? Maybe
> such control works on websites but even when it's implemented the fact of
> being closed on leave is a disadvantage.

I did not get it what did you mean with "being closed on leave is a disadvantage"? In this case user will find the right layout immediately without having to imagine what the layout meant from the plain text.
Comment 12 Heiko Tietze 2019-04-24 07:19:39 UTC
(In reply to Rizal Muttaqin from comment #10)
> Slide Layout in WPS Office

I wonder how it works on smaller screens or when it opens in the edge.

(In reply to Rizal Muttaqin from comment #11)
> I did not get it what did you mean with "being closed on leave is a
> disadvantage"?

What I had in mind was what happens when you move the cursor out of the control. But in fact it's not closed unless you click somewhere or escape intentionally.


I still think the effort to implement is not balanced with the benefit that admittedly graphical widgets have. Feel free to reopen to get input from developers.